## 模块间互动Android组件


#### android端调用方法。
- 添加依赖webfile
- Intent(this, FileActivity.class)
- 传值时需要传入对应类型。(详见下面的类型)

#### 具体类型说明

- notification  通知通报
- conferenceManagement 会议管理
- documentFlow 公文流转
- issueCollection 议题收集
- documentGeneration 公文模板生成
- speechRecognition 语音识别
- ocrRecognition OCR识别
- documentScan 文档扫描
- shareFolder 共享文件夹（nextCloud)
- myselfNetDisk 个人网盘 （nextCloud)
- documentManager 文档管理 （nextCloud)


#### Weex端调用方法。

- 复制webfile到 platform/android
- 把sample/src/main/java/com.bril.webfilemodule/weex包下的文件复制到自己工程下的位置。
- platform/android/setting.gradle 中增加一行代码 include ':webfile'
- android 下的app/build.gradle dependencies方法内添加 compile project(path: ':webfile')
- 将下面代码放到WXApplication中onCreate方法内
```
    try {
        WXSDKEngine.registerModule("chooseNetFile", NetFileChooseModule.class);
    } catch (WXException e) {
        e.printStackTrace();
    }
 ```


#### 调用方法

```
const choose = requireModule('chooseNetFile')
// 传入 userId， 模块名称（参考上面的类型值), 是否是nextCloudFile true属于 false 不属于， 回调
choose.chooseNetFile(userId,moduleName,isNextCloudFile,function(data){
    // TODO
})
```

#### 使用方法
传入对应数据后，进行了页面跳转 此时选择具体的文件点击后即可返回数据，具体返回值请参考下方返回值说明。


#### weex端返回值说明
- fileId 文件id
- fileName 文件名称
- filePath 文件路径

如果传入的是否属于nextCloud为true，则返回如下值
- fileId   代表的是文件存在服务器的真实目录。 调用接口会传入这个参数
- filePath 文件路径

---

#### 注意

nextCloud的模块需要自己再调用swagger中的一个接口进行传值。 接口位置在手写接口copy_nextcloud_modular


#### FAQ

集成后出现如下错误

```
* What went wrong:
   Execution failed for task ':app:processDebugManifest'.
   > Manifest merger failed : uses-sdk:minSdkVersion 15 cannot be smaller than version 22 declared in library [android:webfile:unspecified]
           Suggestion: use tools:overrideLibrary="com.bril.webfile" to force usage
```


解决办法：
    去webfile module下修改minSdkVersion 为15即可解决